Package org.duckdb

# Class JsonNode

java.lang.Object
org.duckdb.JsonNode

public class JsonNode extends Object
Basic wrapper for the JSON type - modelled after the jackson databind JsonNode

## Constructor Summary

Constructors
Constructor
Description
`JsonNode(String source)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isArray()`
`boolean`
`isBoolean()`
`boolean`
`isNull()`
`boolean`
`isNumber()`
`boolean`
`isObject()`
`boolean`
`isString()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JsonNode

public JsonNode(String source)

## Method Details

### isArray

public boolean isArray()

### isObject

public boolean isObject()

### isBoolean

public boolean isBoolean()

### isNull

public boolean isNull()

### isNumber

public boolean isNumber()

### isString

public boolean isString()

### toString

public String toString()

Overrides:
  `toString` in class `Object`